POST
Query 3DS records
Use this endpoint to query 3DS delivery records for an issued card.
Request
ApiKeyIssuing API key request header assigned by Onerway.
Example:
replace_with_issuing_api_keytxnOrderNoTransaction order number filter.
Constraints
- Rule
- Must not exceed 64 characters.
cardIdCard ID filter.
Example:
example_card_idConstraints
- Rule
- Must not exceed 64 characters.
startTimeQuery start time as a Unix timestamp in seconds.
Example:
1767225600endTimeQuery end time as a Unix timestamp in seconds.
Example:
1767312000pageNumPage number.
Example:
1Constraints
- Range
1
pageSizePage size.
Example:
10Constraints
- Range
1100
curl -X POST 'https://sandbox-api.onerway.com/api/v1/merchant/card/query3dsNotify' \
-H 'ApiKey: replace_with_issuing_api_key' \
-H 'Content-Type: application/json' \
--data-raw '{
"cardId": "example_card_id",
"startTime": 1767225600,
"endTime": 1767312000,
"pageNum": 1,
"pageSize": 10
}'Response
respCodeBusiness response code.
20000 means success.respMsgResponse message.
data{ totalRecords, pageSize, ... }Paginated 3DS delivery records.
{
"respCode": "20000",
"respMsg": "success",
"data": {
"totalRecords": 1,
"pageSize": 10,
"current": 1,
"pageNum": 1,
"totalPages": 1,
"records": [
{
"txnOrderNo": "example_transaction_order",
"merchantNo": "example_merchant_no",
"cardId": "example_card_id",
"type": "OTP",
"sendMethod": "WEBHOOK",
"sendTarget": "https://example.com/webhooks/3ds",
"sendStatus": "S",
"sendTime": 1767225600000,
"card3dsValues": "123456",
"currency": "USD",
"amount": 125.50,
"merchantName": "Example Merchant"
}
]
}
}No error responses are documented for this endpoint.